Read subscription details
curl --request GET \
--url https://api.mysoleas.com/merchand/billing/subscriptions/detail/{reference} \
--header 'x-sp-auth-token: <api-key>'import requests
url = "https://api.mysoleas.com/merchand/billing/subscriptions/detail/{reference}"
headers = {"x-sp-auth-token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-sp-auth-token': '<api-key>'}};
fetch('https://api.mysoleas.com/merchand/billing/subscriptions/detail/{reference}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"code": 200,
"success": true,
"locale": "fr",
"message": "<string>",
"meta": {},
"data": {
"reference": "<string>",
"customer_email": "<string>",
"amount": 123,
"currency": "<string>",
"frequency": "DAILY",
"status": "ACTIVE",
"next_payment_at": "2023-11-07T05:31:56Z",
"created_at": "<string>",
"uuid": "<string>",
"merchant_id": "<string>",
"customer_user_id": "<string>",
"description": "<string>",
"subscribed_at": "<string>",
"last_payment_at": "<string>",
"cancelled_at": "<string>",
"suspended_at": "<string>",
"reactivated_at": "<string>",
"metadata": {},
"latest_payments": [
{
"reference": "<string>",
"amount": 123,
"currency": "<string>",
"status": "PENDING",
"due_at": "2023-11-07T05:31:56Z",
"paid_at": "2023-11-07T05:31:56Z",
"payment_intent_reference": "<string>",
"payment_link_reference": "<string>",
"wallet_transaction_id": "<string>",
"failure_reason": "<string>",
"created_at": "<string>",
"updated_at": "<string>"
}
]
}
}{
"success": false,
"code": 400,
"message": "empty_data",
"error": {
"details": {}
}
}Subscriptions
Subscription details
GET
/
merchand
/
billing
/
subscriptions
/
detail
/
{reference}
Read subscription details
Authorizations
JWT Bearer emis par Mysoleas Identity Cloud. Format: Bearer <access_token>.
Path Parameters
Query Parameters
Use merchant to read merchant-side details.
Available options:
merchant, desc ⌘I
